#include <limits>

#include <QPainter>

#include "MainWindow.hpp"

void MainWindow::paintEvent(QPaintEvent *event)
{
	const int h = height();
	const int w = width();

	QPainter painter(this);
	painter.fillRect(QRect(0, 0, w, h), Qt::white);

//	painter.setPen(QPen(Qt::black, 1.5, Qt::SolidLine)); // WORKS
//	painter.setPen(QPen(Qt::black, 1, Qt::DashLine)); // WORKS
	painter.setPen(QPen(Qt::black, 1.5, Qt::DashLine)); // HANGS

	QPointF points[] = {
		{0.0, 0.0},
//		{100.0, 100.0}, // WORKS
		{100.0, std::numeric_limits<qreal>::infinity()} // HANGS
	};

	painter.drawPolyline(points, 2);
}

